com.aventstack.extentreports.markuputils

## Enum ExtentColor

- java.lang.Object
- - java.lang.Enum<ExtentColor>
  - - com.aventstack.extentreports.markuputils.ExtentColor

- All Implemented Interfaces:
    Serializable, Comparable<ExtentColor>

      public enum ExtentColor
      extends Enum<ExtentColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMBER`
    `BLACK`
    `BLUE`
    `BROWN`
    `CYAN`
    `GREEN`
    `GREY`
    `INDIGO`
    `LIME`
    `ORANGE`
    `PINK`
    `PURPLE`
    `RED`
    `TEAL`
    `TRANSPARENT`
    `WHITE`
    `YELLOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtentColor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExtentColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RED

          public static final ExtentColor RED

    - #### PINK

          public static final ExtentColor PINK

    - #### PURPLE

          public static final ExtentColor PURPLE

    - #### INDIGO

          public static final ExtentColor INDIGO

    - #### BLUE

          public static final ExtentColor BLUE

    - #### CYAN

          public static final ExtentColor CYAN

    - #### TEAL

          public static final ExtentColor TEAL

    - #### GREEN

          public static final ExtentColor GREEN

    - #### LIME

          public static final ExtentColor LIME

    - #### YELLOW

          public static final ExtentColor YELLOW

    - #### AMBER

          public static final ExtentColor AMBER

    - #### ORANGE

          public static final ExtentColor ORANGE

    - #### BROWN

          public static final ExtentColor BROWN

    - #### GREY

          public static final ExtentColor GREY

    - #### WHITE

          public static final ExtentColor WHITE

    - #### BLACK

          public static final ExtentColor BLACK

    - #### TRANSPARENT

          public static final ExtentColor TRANSPARENT

  - ### Method Detail

    - #### values

          public static ExtentColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtentColor c : ExtentColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtentColor valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.